Re: [ovirt-users] Safe to install/use epel repository?

2017-02-02 Thread Yedidyah Bar David
On Thu, Feb 2, 2017 at 1:43 PM, Gianluca Cecchi
 wrote:
> On Wed, Feb 1, 2017 at 8:26 AM, Yedidyah Bar David  wrote:
>>
>>
>>
>> Perhaps add them with includepkgs, to be on the safe side, and not
>> all of epel.
>>
>> Best,
>> --
>> Didi
>
>
> Added the needed packages at the end of the includepkgs line of
> [ovirt-4.0-epel] section of ovirt-4.0-dependencies.repo

I think you can have your own repo file, with a different name/id
but same mirrorlist/baseurl. Didn't try. That way, it won't be
overwritten if you later update ovirt-release40. This one won't
be updated anymore, now that 4.1 is out, but the same applies to
4.1 of course.

I updated the 4.1 release notes adding a note about EPEL.

Best,
-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Safe to install/use epel repository?

2017-02-02 Thread Gianluca Cecchi
On Wed, Feb 1, 2017 at 8:26 AM, Yedidyah Bar David  wrote:

>
>
> Perhaps add them with includepkgs, to be on the safe side, and not
> all of epel.
>
> Best,
> --
> Didi
>

Added the needed packages at the end of the includepkgs line
of [ovirt-4.0-epel] section of ovirt-4.0-dependencies.repo
Thanks!
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Safe to install/use epel repository?

2017-01-31 Thread Yedidyah Bar David
On Tue, Jan 31, 2017 at 6:27 PM, Gianluca Cecchi
 wrote:
> This in CentOS 7.3 plain hosts used as hypervisors and intended for oVirt
> 4.0 and 4.1 hosts.

Generally speaking, we add epel with specific packages to ovirt-release*.rpm,
and do not support all of epel. In practice, the only problem I personally
know of is with epel packages that also exist in other ovirt-release* repos,
perhaps in different versions.

A recent example we bumped into:

https://gerrit.ovirt.org/71386

ovirt-live uses its own set of repos, and used all of epel, and epel has
a newer version of collectd than in the opstools repo (which is what we
use). But it doesn't have collectd-write_http. So jenkins failed:

http://jenkins.ovirt.org/job/ovirt-live_4.1-create-iso/70/console

> In particular for performance related packages such as
> bwm-ng
> iftop
> htop
> nethogs

Perhaps add them with includepkgs, to be on the safe side, and not
all of epel.

Best,
-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] Safe to install/use epel repository?

2017-01-31 Thread Doug Ingham
On 31 January 2017 at 13:27, Gianluca Cecchi 
wrote:

> This in CentOS 7.3 plain hosts used as hypervisors and intended for oVirt
> 4.0 and 4.1 hosts.
> In particular for performance related packages such as
> bwm-ng
> iftop
> htop
> nethogs
> and the like.
> Thanks,
> Gianluca
>

We've been running CentOS 7 with the epel, ovirt, gluster & zabbix repos on
all of our hosts.for a good few months now, without issue.

-- 
D
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users